/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
package jdct;

import jdct.*;
import dbStatic.* ;
import java.lang.* ;
import java.awt.*;
import java.awt.event.*;

class JdctMenuFormFieldInstance extends JdctMenuFieldInstance
{
	private JdctLinkFieldInstance relatedFieldInstance;

	JdctMenuFormFieldInstance(JdctFrame frame, JdctInstanceGui recordGui,
	    String recordName, String fieldName,String[] menu,String selection) {
		super(frame,recordGui,recordName,fieldName,menu,selection);
	}

	public void setRelatedFieldInstance(JdctLinkFieldInstance relatedFieldInstance) {
		this.relatedFieldInstance = relatedFieldInstance;
	}

	public void itemStateChanged(ItemEvent e) {

		super.itemStateChanged(e);
		relatedFieldInstance.update();
	}
}
